@ECHO OFF

REM If you have installed to a different directory,
REM please edit the line below to match
REM This must be a hard-coded value to ensure
REM compatibility with Windows 8 and Server 2012
set wkdir=C:\SIMPLEHTTP

ECHO. 
ECHO Running fixNTFS
ECHO. 
ECHO y| CACLS "%wkdir%" /T /C /G BUILTIN\Administrators:F "NT AUTHORITY\LOCAL SERVICE":F "NT AUTHORITY\SYSTEM":F
ECHO. 
ECHO fixNTFS complete

ECHO. 
ECHO Running fixFirewall
NETSH firewall add allowedprogram "%wkdir%\simplehttp.exe" "SimpleHTTP" ENABLE
ECHO fixFirewall complete

ECHO. 
ECHO Installing SimpleHTTP service
ECHO. 
%windir%\microsoft.net\framework\v4.0.30319\InstallUtil.exe %wkdir%\simplehttp.exe
ECHO. 
ECHO Service install complete

ECHO. 
ECHO ********************************************************************
ECHO. 
ECHO Please check above for any errors before continuing...
ECHO. 
set choice=
set /p choice=Set the SimpleHTTP service to startup automatically? [y/n]
if '%choice%'=='y' sc config SimpleHTTP start= auto

ECHO. 
set choice=
set /p choice=Start the SimpleHTTP service now? [y/n]
if '%choice%'=='y' ECHO Starting service
if '%choice%'=='y' sc start SimpleHTTP
if '%choice%'=='y' ECHO Service started

ECHO. 
ECHO Cleaning up service install logs
ECHO. 
if EXIST %wkdir%\SimpleHTTP.InstallLog del %wkdir%\SimpleHTTP.InstallLog
if EXIST %wkdir%\SimpleHTTP.InstallState del %wkdir%\SimpleHTTP.InstallState
if EXIST %wkdir%\InstallUtil.InstallLog del %wkdir%\InstallUtil.InstallLog

ECHO. 
ECHO ********************************************************************
ECHO. 
ECHO Congratulations, you have completed this wizard!
ECHO Your SimpleHTTP service is ready to go.
ECHO. 
PAUSE
EXIT